---
title: Проект libreboot
x-toc-enable: true
...

Проект `libreboot` надає
[вільну](https://uk.wikipedia.org/wiki/%D0%92%D1%96%D0%BB%D1%8C%D0%BD%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BD%D0%B5_%D0%B7%D0%B0%D0%B1%D0%B5%D0%B7%D0%BF%D0%B5%D1%87%D0%B5%D0%BD%D0%BD%D1%8F) *завантажувальну
прошивку*, яка ініціалізує апаратне забезпечення (наприклад, контролер пам'яті, ЦП,
периферію) на [конкретних цілях Intel/AMD x86 та ARM](docs/hardware/), що
потім розпочинає завантажувач для вашої операційної системи. [GNU+Linux](docs/gnulinux/)
та [BSD](docs/bsd/) добре підтримуються. Це заміняє пропрієтарну BIOS/UEFI
прошивку. Допомога доступна
через [\#libreboot](https://web.libera.chat/#libreboot)
на [Libera](https://libera.chat/) IRC.

**НОВИЙ ВИПУСК: Останній випуск Libreboot 20221214, випущено
14 грудня 2022.
Дивіться: [Оголошення про випуск Libreboot 20221214](news/libreboot20221214.md).**

Чому вам варто використовувати *libreboot*?
----------------------------

Libreboot надає вам свободи, які в іншому випадку ви не можете отримати з більшістью інших
завантажувальних прошивок. Він надзвичайно потужний та налаштовується для багатьох випадків використання.

У вас є права. Право на конфіденційність, свобода мислення, свобода висловлювання
та право читати. В цьому контексті, Libreboot надає вам ці права.
Ваша свобода має значення.
[Право на ремонт](https://vid.puffyan.us/watch?v=Npd_xDuNi9k) має значення.
Багато людей використовує пропрієтарну (невільну)
завантажувальну прошивку, навіть якщо вони використовують [вільну операційну систему](https://www.openbsd.org/).
Пропрієтарна прошивка часто [містить](faq.html#intel) [лазівки](faq.html#amd),
та може бути глючною. Проект libreboot було засновано в грудні 2013 року, з
явною метою зробити прошивку coreboot доступною для нетехнічних користувачів.

Проект `libreboot` використовує [coreboot](https://www.coreboot.org/) для [ініціалізації апаратного забезпечення](https://doc.coreboot.org/getting_started/architecture.html).
Coreboot помітно складний для встановлення для більшості нетехнічних користувачів; він
виконує тільки базову ініціалізацію та перестрибує до окремої програми
[корисного навантаження](https://doc.coreboot.org/payloads.html) (наприклад,
[GRUB](https://www.gnu.org/software/grub/),
[Tianocore](https://www.tianocore.org/)), які також мають бути налаштованими.
*Програмне забезпечення libreboot вирішує цю проблему*; це *дистрибутив coreboot* з
[автоматизованою системою побудови](docs/build/), яка збирає завершені *образи ROM*, для
більш надійної установки. Документація надається.

Чим libreboot відрізняється від звичайного coreboot?
---------------------------------------------

Таким же самим чином, як *Debian* це дистрибутив GNU+Linux, `libreboot` це
*дистрибутив coreboot*. Якщо ви хочете зібрати образ ROM з нуля, вам
інакше довелось би виконати налаштування експертного рівня coreboot, GRUB та
будь-якого іншого потрібного програмного забезпечення, для підготування образа ROM. З *libreboot*,
ви можете буквально завантажити з Git або архіву джерельного коду, та запустити `make`, і це
побудує всі образи ROM. Автоматизована система побудови, названа `lbmk`
(Libreboot MaKe), збирає ці образи ROM автоматично, без будь-якого вводу користувача
або потрібного втручання. Налаштування вже виконано заздалегідь.

Якщо би ви збирали звичайний coreboot, не використовуючи автоматизовану систему побудови libreboot,
це вимагало би набагато більше втручання та гідних технічних
знань для створення робочої конфігурації.

Звичайні бінарні випуски `libreboot` надають ці
образи ROM попередньо зібраними, і ви можете просто встановити їх, не маючи спеціальних
знань або навичок, окрім можливості
слідувати [спрощеним інструкціям, написаним для нетехнічних
користувачів](docs/install/).

Як допомогти
-----------

Ви можете перевірити помилки, перелічені
в [системі відстеження помилок](https://notabug.org/libreboot/lbmk/issues).

Якщо ви помітили помилку і маєте виправлення, [ось інструкції щодо надсилання виправлень](git.md), а також ви можете повідомити про це. Також, весь цей веб-сайт
написаний Markdown та розміщений в [окремому
репозиторії](https://notabug.org/libreboot/lbwww), де ви можете надсилати виправлення.

Усі обговорення розробки та підтримка користувачів відбуваються на IRC
каналі. Більше інформації на [сторінці зворотнього зв'язку](contact.md).
